/**
 * A very simple XML serializer
 */
export declare class XmlSerializer {
    private readonly push;
    private readonly stack;
    constructor(push: (data: string) => void);
    /**
       *
       * @param name should be a valid XML tag name
       * @param attributes keys should be valid attribute names
       */
    open(name: string, attributes?: Record<string, string>): void;
    close(): void;
    add(node: IXmlNode): void;
    private serializeNode;
    private identation;
    private formatTag;
    private escape;
}
export interface IXmlNode {
    name: string;
    attributes?: Record<string, string>;
    children?: (IXmlNode[]) | string;
}
